## agrep 4.17

=== Makefile ===
# Copyright (c) 1994 Sun Wu, Udi Manber, Burra Gopal.  All Rights Reserved.

# You might have to change these depending on your machine configuration.
# AR and RANLIB are the library-archive programs. On Solaris, RANLIB is not
# required (define it to true) and AR is in /usr/ccs/bin/ar (on our machine!).
AR	      = ar #/usr/ccs/bin/ar #for Solaris
RANLIB	      = ranlib #true #for Solaris

# Define HAVE_DIRENT_H to be 1 when you don't have <sys/dir.h> else define it to be 0 (in this case, one of the other 3 flags may need to be defined to be 1).
#HAVE_DIRENT_H = 1
#HAVE_SYS_DIR_H	= 0
#HAVE_SYS_NDIR_H	= 0
#HAVE_NDIR_H	= 0

# Define UTIME to be 1 if you have the utime() routine on your system. Else define it to be 0.
UTIME = 1

# Define ISO_CHAR_SET to be 1 if you want to use the international 8bit character set. Else define it to be 0.
ISO_CHAR_SET = 1

# You might have to change this depending on your machine configuration.
CC	      = gcc -march=i486

SHELL = /bin/sh

# YOU DON'T HAVE TO CHANGE ANYTHING BELOW THIS LINE

# The binaries will be made in ../bin/. and the agrep library in ../lib
# You normally don't have to change them.
BINDIR	      = ../bin
LIBDIR	      = .
TCOMP	      =	cast
TCOMPDIR      = ../compress
AGREPDIR      = .
# TEMPLATEDIR   = ../libtemplate

# You can change the target to use the "cast" (compression) library by changing:
#	all: $(NOTCPROG)
# to:
#	all: $(PROG)
# You must also define DOTCOMPRESSED below to be 1 instead of 0.

DOTCOMPRESSED = 0

# Include flags is not a part of CLFAGS and LINKFLAGS since path names from subdirs can be different
OPTIMIZEFLAGS	= -O2
#PROFILEFLAGS	= -p
#DEBUGFLAGS	= -g -DBG_DEBUG=1 -DDEBUG=1
INCLUDEFLAGS	= -I$(AGREPDIR) -DUTIME=$(UTIME) -DISO_CHAR_SET=$(ISO_CHAR_SET)
SUBDIRCFLAGS	= -c $(DEFINEFLAGS) $(OPTIMIZEFLAGS) $(PROFILEFLAGS) $(DEBUGFLAGS)
MYDEFINEFLAGS	= -DMEASURE_TIMES=0 -DAGREP_POINTER=1 -DDOTCOMPRESSED=$(DOTCOMPRESSED)
CFLAGS		= $(MYDEFINEFLAGS) $(INCLUDEFLAGS) $(SUBDIRCFLAGS)
SUBDIRLINKFLAGS	= $(PROFILEFLAGS)
LINKFLAGS	= $(INCLUDEFLAGS) $(SUBDIRLINKFLAGS)
OTHERLIBS	=

PROG	      = agrep
NOTCPROG      = notc$(PROG)

all: $(NOTCPROG)
	# cp $(PROG) $(BINDIR)/.

LIB	      = $(LIBDIR)/lib$(PROG).a
HDRS	      =	agrep.h checkfile.h re.h defs.h config.h
TCOMPLIBOBJ   = \
		$(TCOMPDIR)/hash.o \
		$(TCOMPDIR)/string.o \
		$(TCOMPDIR)/misc.o \
		$(TCOMPDIR)/quick.o \
		$(TCOMPDIR)/cast.o \
		$(TCOMPDIR)/uncast.o \
		$(TCOMPDIR)/tsimpletest.o \
		$(TCOMPDIR)/tbuild.o\
		$(TCOMPDIR)/tmemlook.o
OBJS	      =	\
		follow.o	\
		asearch.o	\
		asearch1.o	\
		agrep.o		\
		bitap.o		\
		checkfile.o	\
		compat.o	\
		maskgen.o	\
		parse.o		\
		checksg.o	\
		preprocess.o	\
		delim.o		\
		asplit.o	\
		recursive.o	\
		sgrep.o		\
		newmgrep.o	\
		utilities.o

$(PROG):	$(OBJS) main.o $(LIBDIR)/lib$(TCOMP).a
		$(CC) -L$(LIBDIR) $(LINKFLAGS) -o $@ $(OBJS) main.o -l$(TCOMP) $(OTHERLIBS)
		$(AR) rcv $(LIB) $(OBJS) $(TCOMPLIBOBJ)
		$(RANLIB) $(LIB)

$(LIBDIR)/lib$(TCOMP).a:
		cd $(TCOMPDIR) ; $(MAKE) -f Makefile.linux CC="$(CC)" SUBDIRCFLAGS="$(SUBDIRCFLAGS)" SUBDIRLINKFLAGS="$(SUBDIRLINKFLAGS)" SHELL="$(SHELL)" HAVE_DIRENT_H="$(HAVE_DIRENT_H)" HAVE_SYS_DIR_H="$(HAVE_SYS_DIR_H)" HAVE_SYS_NDIR_H="$(HAVE_SYS_NDIR_H)" HAVE_NDIR_H="$(HAVE_NDIR_H)" UTIME="$(UTIME)" STRUCTURED_QUERIES="$(STRUCTURED_QUERIES)" ISO_CHAR_SET="$(ISO_CHAR_SET)" SFS_COMPAT="$(SFS_COMPAT)"

$(NOTCPROG):	$(OBJS) dummyfilters.o main.o
		$(CC) $(LINKFLAGS) -o $(PROG) $(OBJS) dummyfilters.o main.o $(OTHERLIBS)
		$(AR) rcv $(LIB) $(OBJS) dummyfilters.o
		$(RANLIB) $(LIB)

clean:
		-rm -f $(LIB) $(OBJS) dummyfilters.o main.o core a.out $(PROG)

compat.o:	agrep.h defs.h config.h
asearch.o:	agrep.h defs.h config.h
asearch1.o:	agrep.h defs.h config.h
bitap.o:	agrep.h defs.h config.h
checkfile.o:	agrep.h checkfile.h defs.h config.h
follow.o:	re.h agrep.h defs.h config.h
main.o:		agrep.h checkfile.h defs.h config.h dummysyscalls.c
agrep.o:	agrep.h checkfile.h defs.h config.h
newmgrep.o:	agrep.h defs.h config.h
maskgen.o:	agrep.h defs.h config.h
next.o:		agrep.h defs.h config.h
parse.o:	re.h agrep.h defs.h config.h
preprocess.o:	agrep.h defs.h config.h
checksg.o:	agrep.h checkfile.h defs.h config.h
delim.o:	agrep.h defs.h config.h
asplit.o:	agrep.h defs.h config.h
sgrep.o:	agrep.h defs.h config.h
abm.o:		agrep.h defs.h config.h
utilities.o:	re.h agrep.h defs.h config.h
dummyfilters.o:	dummyfilters.c

=== debian/changelog ===
agrep (4.17-9) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with DEB_*_MAINT_* variables.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Use DEB_*_MAINT_* variables to enable all hardening features.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 11 Apr 2012 00:09:20 +0300

agrep (4.17-8) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1. Remove
      dpatch.
  * debian/install
    - New file.
  * debian/copyright:
    - Update to DEP5.
  * debian/patches
    - Convert all patches to quilt.
    - Renumber patches: number 10-19 are used for manual pages.
  * debian/rules
    - Update to dh(1).
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/source/format
    - New. Update to 3.0.
  * debian/debian-vars.mk
    - Delete. No longer needed.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 23 Feb 2012 09:26:12 -0500

agrep (4.17-7) unstable; urgency=low

  * debian/debian-vars.mk:
    - Adjust MAKE_FLAGS check (FTBFS sparc; Closes: #502862).
  * debian/patches/02-manpage-hyphen.dpatch:
    - New. Fix hyphens with \- (Lintian).
  * debian/patches/03-manpage-fhs-dir-dict.dpatch:
    - New. Fix FHS /usr/share/dict/words (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 20 Oct 2008 17:52:00 +0300

agrep (4.17-6) unstable; urgency=low

  * debian/copyright:
    - Update to latest dh-make template.
    - Use ISO 8601 dates.
    - Add current maintainer to Debian package copyright line.
  * debian/debian-vars.mk:
    - New file.
  * debian/control:
    - (Description): remove word UNIX, mention glimpse.
    - (Homepage): Move to new field.
    - (Standards-Version): Update to latest.
    - (Vcs-*): New fields
  * debian/rules:
    - (build-stamp): Add MAKE_FLAGS to build call.
    - (clean): Rewrite error suppression '-' (Lintian fix).
    - (clean-debian-dir): New. Comment out dh_clean calls to preserve
      orignal sources' *.orig and *.rej files and use this make target.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 19 Oct 2008 10:18:44 +0300

agrep (4.17-5) unstable; urgency=low

  * New maintainer. (O/ITA; Closes: #407649)
  * debian/control: Add homepage URL.
  * debian/watch: New file.
  * debian/copyright: Clarify the glimpse-agrep license issue (new versions
    cannot be packaged).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 25 Jan 2007 21:11:14 +0200

agrep (4.17-4) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Jan 2007 11:42:00 +0100

agrep (4.17-3) unstable; urgency=low

  * New email address.
  * Some packaging style changes.

 -- Daniel Baumann <daniel@debian.org>  Wed,  5 Jul 2006 13:29:00 +0200

agrep (4.17-2) unstable; urgency=low

  * Added patch to fix FTBS on amd64 (Closes: #344909).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 27 Dec 2005 17:01:00 +0100

agrep (4.17-1) unstable; urgency=low

  * New upstream release (Closes: #307442).
  * Using dpatch for source modifications.
  * Updated debian/ to newer debhelper templates.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 20 Dec 2005 13:59:00 +0100

agrep (2.04-3) unstable; urgency=low

  * New maintainer (Closes: #288371).
  * debian/*: updated to new standard.
  * debian/rules rewritten.
  * fixed lintian errors.
  * added extra documentation from upstream site, removed useless
    README.Debian.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Wed,  2 Feb 2005 01:30:00 +0100

agrep (2.04-2) unstable; urgency=low

  * New maintainer (closes: #201367).
  * Updated to standards version 3.6.0.
  * Description on multiple lines (closes: #180727).

 -- Luk Claes <luk.claes@ugent.be>  Tue, 15 Jul 2003 18:57:32 +0200

agrep (2.04-1) unstable; urgency=low

  * Initial Release.

 -- Michael-John Turner <mj@debian.org>  Fri, 11 May 2001 21:19:29 +0200

=== debian/control ===
Source: agrep
Section: non-free/text
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/debian.git
Vcs-Git: git://git.debian.org/git/collab-maint/debian.git
Homepage: http://freshmeat.net/projects/agrep

Package: agrep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text search tool with support for approximate patterns
 agrep is a version of standard grep with the following enhancements:
 .
  * the ability to search for approximate patterns
  * it is record oriented rather than just line oriented
  * multiple patterns with AND OR logic queries
 .
 This package contains glimpse's (4.x) last free version of grep.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic -I.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_clean:
	#   The original sources contain *.orig and *.rej files
	#   that must not be cleaned.
	#   So do *not* run 'dh_clean' commands.

	rm -rf debian/agrep debian/.#* debian/*[~#]
	rm -f debian/files debian/*.log debian/*.substvars
	[ ! -f Makefile ] || $(MAKE) clean

override_dh_auto_build:
	# These are the only variables that are free for user
	$(MAKE) DEBUGFLAGS="$(CFLAGS) $(CPPFLAGS)" OTHERLIBS="$(LDFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs agrep.chronicle

%:
	dh $@

# End of file
